html {
  font-size: 16px;
}

* {
  /* 버튼 음영 삭제 */
  -webkit-tap-highlight-color: rgba(255, 255, 255, 0);

  /* link long touch 막기 */
  -webkit-touch-callout: none;

  /* text select 막기 */
  user-select: none;
  -ms-user-select: none;
  -moz-user-select: -moz-none;
  -khtml-user-select: none;
  -webkit-user-select: none;

  font-family: "Noto Sans KR", sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: #1c1d1e;
}

input[type="text"],
input[type="email"],
input[type="password"],
input[type="number"],
textarea {
  user-select: auto;
  -ms-user-select: auto;
  -moz-user-select: -moz-auto;
  -khtml-user-select: auto;
  -webkit-user-select: auto;
}

.container {
  /* width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  position: fixed;
  overflow: auto; */
  overflow: auto;
  position: relative;
}
.container.overflowHidden {
  overflow: hidden;
}

/* .page-enter-active,
.page-leave-active {
  transition: opacity .25s;
}
.page-enter,
.page-leave-to {
  opacity: 0;
} */

.opacity-enter-active,
.opacity-leave-active {
  transition: opacity 0.25s;
}

.opacity-enter,
.opacity-leave-active {
  opacity: 0;
}

.slide-up {
  transition: all 0.25s;
}

.slide-up-enter-active {
  transition: all 0.25s ease;
}

.slide-up-leave-active {
  transition: all 0.25s cubic-bezier(1, 0.5, 0.8, 1);
}

.slide-up-enter,
.slide-up-leave-active {
  transform: translateY(100%);
}

/* 카테고리 색상 TODO. 메인 변경으로 연관된 부분 확인 후 삭제 필요 */
.AA {
  background: #ff9800 !important;
} /* 스낵 */
.AB {
  background: #3be1cd !important;
} /* 생수 */
.AC {
  background: #ff674b !important;
} /* 음료 */
.AD {
  background: #57c0ff !important;
} /* 간편식 */
.AE {
  background: #ae95cd !important;
} /* 냉동 */
.AF {
  background: #f8b766 !important;
} /* 조식 */
.AG {
  background: #84e0d2 !important;
} /* 기타 */
.AH {
  background: #ff8973 !important;
} /* 재료 */
.AI {
  background: #99d9ff !important;
} /* 기타식기 */
.AJ {
  background: #d6bef4 !important;
} /* 원두커피 */
.AK {
  background: #b1b1ca !important;
} /* 맥주 */
.OD {
  background: #3be1cd !important;
} /* 주문 */
.RT {
  background: #ff674b !important;
} /* 반품 */

.BA {
  background: #ff9800 !important;
} /* 카페/베이커리 */
.BB {
  background: #3be1cd !important;
} /* 외식 */
.BC {
  background: #ff674b !important;
} /* 문화 */
.BD {
  background: #57c0ff !important;
} /* 백화점/편의점 */
.BE {
  background: #ae95cd !important;
} /* 플라워 */
.BF {
  background: #f8b766 !important;
} /* 종합 */

/* 신규 카테고리 색상 */
.main-category.AA {
  background: #f4d8c5 !important;
} /* 스낵 */
.main-category.AB {
  background: #dbe6ee !important;
} /* 생수 */
.main-category.AC {
  background: #f4e6c5 !important;
} /* 음료 */
.main-category.AD {
  background: #dbeee3 !important;
} /* 간편식 */
.main-category.AF {
  background: #e6eedb !important;
} /* 조식 */
.main-category.AL {
  background: #e5e5e5 !important;
} /* 비품 */
.main-category.QUICK {
  background: #dbddee !important;
} /* 비품 */

/* 아이템 뱃지 색상 */
.item-flag.AA {
  background: #ffe88b !important;
} /* 스낵 */
.item-flag.AB {
  background: #b5e8ff !important;
} /* 생수 */
.item-flag.AC {
  background: #ffbfab !important;
} /* 음료 */
.item-flag.AD {
  background: #a9f2e8 !important;
} /* 간편식 */
.item-flag.AF {
  background: #b4f2a9 !important;
} /* 조식 */
.item-flag.AL {
  background: #ddcaff !important;
} /* 비품 */

.swiper-pagination.white > span {
  color: #fff;
}

@font-face {
  font-family: "Pretendard";
  src: url("https://cdn.jsdelivr.net/gh/projectnoonnu/pretendard@1.0/Pretendard-Thin.woff2")
    format("woff2");
  font-weight: 100;
  font-display: swap;
}

@font-face {
  font-family: "Pretendard";
  src: url("https://cdn.jsdelivr.net/gh/projectnoonnu/pretendard@1.0/Pretendard-ExtraLight.woff2")
    format("woff2");
  font-weight: 200;
  font-display: swap;
}

@font-face {
  font-family: "Pretendard";
  src: url("https://cdn.jsdelivr.net/gh/projectnoonnu/pretendard@1.0/Pretendard-Light.woff2")
    format("woff2");
  font-weight: 300;
  font-display: swap;
}

@font-face {
  font-family: "Pretendard";
  src: url("https://cdn.jsdelivr.net/gh/projectnoonnu/pretendard@1.0/Pretendard-Regular.woff2")
    format("woff2");
  font-weight: 400;
  font-display: swap;
}

@font-face {
  font-family: "Pretendard";
  src: url("https://cdn.jsdelivr.net/gh/projectnoonnu/pretendard@1.0/Pretendard-Medium.woff2")
    format("woff2");
  font-weight: 500;
  font-display: swap;
}

@font-face {
  font-family: "Pretendard";
  src: url("https://cdn.jsdelivr.net/gh/projectnoonnu/pretendard@1.0/Pretendard-SemiBold.woff2")
    format("woff2");
  font-weight: 600;
  font-display: swap;
}

@font-face {
  font-family: "Pretendard";
  src: url("https://cdn.jsdelivr.net/gh/projectnoonnu/pretendard@1.0/Pretendard-Bold.woff2")
    format("woff2");
  font-weight: 700;
  font-display: swap;
}

@font-face {
  font-family: "Pretendard";
  src: url("https://cdn.jsdelivr.net/gh/projectnoonnu/pretendard@1.0/Pretendard-ExtraBold.woff2")
    format("woff2");
  font-weight: 800;
  font-display: swap;
}

@font-face {
  font-family: "Pretendard";
  src: url("https://cdn.jsdelivr.net/gh/projectnoonnu/pretendard@1.0/Pretendard-Black.woff2")
    format("woff2");
  font-weight: 900;
  font-display: swap;
}
